Problems compiling .ad4 projects in ADE 1.65 (for FSX)

Hello, until now I used FSX and P3Dv4.5 together with the FSCommander as flight planner.
Unfortunately FSC read the AFCADS compiled with the P3Dv4-SDK incorrectly.
Parts of the airport are missing.

LIPZ_Fehler.jpg


So far I could solve this problem with a workaround by saving the P3DV4-Afcad in ADE 1.75 in P3D-Mode as project (.ad4), then opening ADE1.75 in FSX-Mode, opening the project there and compiling it with the FSX SDK.

Now I only installed the FSX-SDK on a new computer, together with P3Dv4.5 + SDK. So ADE 1.75 only starts in P3D mode.
As an alternative I installed ADE 1.65.
But I get an error message from ADE while compiling.

ADE_Fehler1.jpg


Is it really required to have FSX install complete to have registry entries for ADE 1.65?

I've tried this:
I copied the main folder containing the FSX.exe from the FSX installation CD to the PC, but the error message from ADE remains.
Is it known which files ADE is looking for, or are they registry entries?

A similar thread was here, but it helps not.
https://www.fsdeveloper.com/forum/threads/ade-1-75-6421-does-not-compile.440937/

Regards, Wolfgang

Translated with www.DeepL.com/Translator
 

tgibson

Resource contributor
That error usually means you do not have MSXML installed. But if other compiles worked on the same OS then I don't know what it could be.

You can force ADE to show all choices, as I remember, by editing the ini file. But Jon would need to chime in on that.
 

scruffyduck

Administrator
Staff member
FSDevConf team
Resource contributor
https://scruffyduck.screenstepslive.com/s/help_docs/m/20268/l/204895-what-do-i-do-if-i-get-compiler-error-c1003-failed-to-create-msxml-object

You can force ADE to work with all versions of FSX/P3D but this is only of any use if the sims are actually present on the computer. IF ADE fails to find a version that you know is on the computer then there is a registry error and the best way of resolving this is to work out why the registry does not contain an entry for that sim version and fix that. If you have not installed FSX then there will be significant problems with using it in that mode. ADE requires a viable installation for a version in order to work correctly
 
If you have not installed FSX then there will be significant problems with using it in that mode. ADE requires a viable installation for a version in order to work correctly
This is the case.
My consideration was that ADE would only work with the SDK.

Thank you for the clarification.

Regards, Wolfgang
 
Top